## ros-noetic-abb-driver 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(abb_driver)
add_definitions(-std=c++11)
find_package(catkin REQUIRED COMPONENTS industrial_robot_client simple_message)

catkin_package(
  CATKIN_DEPENDS industrial_robot_client
)

add_definitions(-DLINUXSOCKETS=1)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)


add_executable(${PROJECT_NAME}_robot_state
  src/abb_robot_state_node.cpp
  src/abb_utils.cpp)
target_link_libraries(${PROJECT_NAME}_robot_state
  industrial_robot_client
  simple_message
  ${catkin_LIBRARIES})
set_target_properties(
  ${PROJECT_NAME}_robot_state
  PROPERTIES OUTPUT_NAME robot_state PREFIX "")

add_executable(${PROJECT_NAME}_motion_download_interface
  src/abb_joint_downloader_node.cpp
  src/abb_utils.cpp)
target_link_libraries(${PROJECT_NAME}_motion_download_interface
  industrial_robot_client
  simple_message
  ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME}_motion_download_interface
  PROPERTIES OUTPUT_NAME motion_download_interface PREFIX "")


install(
  TARGETS
    ${PROJECT_NAME}_robot_state
    ${PROJECT_NAME}_motion_download_interface
  DESTINATION
    ${CATKIN_PACKAGE_BIN_DESTINATION}
)

foreach(dir launch rapid)
  install(
    DIRECTORY ${dir}/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

=== debian/changelog ===
ros-noetic-abb-driver (1.4.0-1focal) focal; urgency=high

  * First release of stand-alone ``abb_driver`` from new repository.
  * Contributors: gavanderhoorn

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Sun, 21 Jun 2020 22:00:00 -0000

ros-noetic-abb-driver (1.3.1-1focal) focal; urgency=high

  * Add robot status publishing to Rapid driver (#168 <https://github.com/ros-industrial/abb/pull/168>)
  * Fix is_near check (#155 <https://github.com/ros-industrial/abb/issues/155>)
  * Add support for external linear axes to abb_driver (#150 <https://github.com/ros-industrial/abb/issues/150>)
  * Use the 'doc' attribute on 'arg' elements. (#143 <https://github.com/ros-industrial/abb/issues/143>)
  * Update maintainers (#139 <https://github.com/ros-industrial/abb/issues/139>)
  * Contributors: Gonzalo Casas, Harsh Deshpande, JD Yamokoski, Keerthana Manivannan, gavanderhoorn

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Mon, 16 Sep 2019 22:00:00 -0000

ros-noetic-abb-driver (1.3.0-1focal) focal; urgency=high

  * kinetic-devel release of ros-industrial/abb
  * Contributors: AustinDeric

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Fri, 26 May 2017 22:00:00 -0000

ros-noetic-abb-driver (1.2.1-1focal) focal; urgency=high

  * No changes

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Sun, 26 Mar 2017 22:00:00 -0000

ros-noetic-abb-driver (1.2.0-1focal) focal; urgency=high

  * No changes

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Fri, 05 Jun 2015 22:00:00 -0000

ros-noetic-abb-driver (1.1.9-1focal) focal; urgency=high

  * No changes

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Mon, 06 Apr 2015 22:00:00 -0000

ros-noetic-abb-driver (1.1.8-1focal) focal; urgency=high

  * No changes

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Sun, 05 Apr 2015 22:00:00 -0000

ros-noetic-abb-driver (1.1.7-1focal) focal; urgency=high

  * Merged hydro branch
    - Updated CHANGELOG.rst and package.xml files
  * Contributors: Levi Armstrong

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Tue, 31 Mar 2015 22:00:00 -0000

ros-noetic-abb-driver (1.1.6-1focal) focal; urgency=high

  * Fix typos and links in CHANGELOG.rst
  * Contributors: Levi Armstrong

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-noetic-abb-driver (1.1.5-1focal) focal; urgency=high

  * driver: ROS_motionServer.mod was checking for wrong comm type to send reply
    message, causing driver to quit working after stop command.
    Fix #42 <https://github.com/ros-industrial/abb/issues/42>.
  * Contributors: Levi Armstrong

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-noetic-abb-driver (1.1.4-1focal) focal; urgency=high

  * No changes

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Sat, 13 Dec 2014 23:00:00 -0000

ros-noetic-abb-driver (1.1.3-1focal) focal; urgency=high

  * driver: reintroduce coupling factor default.
    Reverts 3765cd6.
  * Bump versions.
  * driver: remove default for J23 coupling parameter.
    Users should explicitly provide this on the command line, or use one
    of the convenience launchfiles provided with the support packages.
    It is of critical importance that this parameter is set to the
    correct value, and should therefore not be supplied a default in
    a (for end-users) file with low visibility.
  * driver: move driver (Rapid and nodes) into separate package.
    Node sources, headers and launch files copied from abb_common.
  * Contributors: gavanderhoorn

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Thu, 04 Sep 2014 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-abb-driver
Section: misc
Priority: optional
Maintainer: Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-industrial-robot-client, ros-noetic-simple-message
Homepage: http://wiki.ros.org/abb_driver
Standards-Version: 3.9.2

Package: ros-noetic-abb-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-industrial-robot-client
Description: ROS-Industrial nodes for interfacing with ABB robot controllers.
 This package is part of the ROS-Industrial program and contains nodes for interfacing with ABB industrial robot controllers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-abb-driver//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
